<!doctype html>
<html lang="en">

<head>
    <title>Weather Development</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="shortcut icon" href="https://img.icons8.com/office/16/000000/sunset--v2.png" type="image/x-icon">
    <link rel="stylesheet" type="text/css" href="/css/style.css">
    <link href='https://fonts.googleapis.com/css?family=Open+Sans:300' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>
    <div class="container">
        <fieldset>
            <form action="/" method="post">
                <input name="city" type="text" class="ghost-input" placeholder="Masukan Nama Kota Anda bung!!" required>
                <input type="submit" class="ghost-button" value="Get Weather">
            </form>
        </fieldset>
        <%if( weather !== null){ %>
            <div class="grid">
                <p>
                    <%= place %>
                </p>
                <p class="text-muted small">
                    <%= timezone %>
                </p>
            </div>


            <div class="card-deck">
                <div class="card card-accent-dark mb-3" style="max-width: 18rem;">
                    <div class="card-header">Summary</div>
                    <div class="card-body text-dark">
                        <img src="<%= icon %>" alt="Weather-Icon">
                        <h5 class="card-title">Temperature</h5>
                        <p class="card-text">
                            In Degrees:
                            <%= temp %>°C/
                                <%= fahrenheit %>°F
                        </p>
                        <h5 class="card-title">Main</h5>
                        <p class="card-text">
                            <%= main %>
                        </p>
                    </div>
                </div>
                <div class="card-deck">
                    <div class="card card-acTomorrowcent-dark mb-3" style="max-width: 18rem;">
                        <div class="card-header">Description</div>
                        <div class="card-body text-dark">
                            <h5 class="card-title">Overall Description: </h5>
                            <p class="card-text">
                                <%= description %>
                            </p>
                            <h5 class="card-title">Cloud coverage: </h5>
                            <p class="card-text">
                                <%= clouds %>%
                            </p>
                            <h5 class="card-title">Visibility: </h5>
                            <p class="card-text">
                                <%= visibility %> meters
                            </p>
                        </div>
                    </div>
                    <div class="card-deck">
                        <div class="card card-accent-dark mb-3" style="max-width: 18rem;">
                            <div class="card-header">Other info</div>
                            <div class="card-body text-dark">
                                <h5 class="card-title">Humidity: </h5>
                                <p class="card-text">
                                    <%= humidity %> g.m-3
                                </p>
                            </div>
                            <div class="card-body text-dark">
                                <h5 class="card-title">Pressure: </h5>
                                <p class="card-text">
                                    <%= pressure %> N·m−2
                                </p>
                            </div>
                        </div>
                    </div>

                    <% } %>

                        <% if(error !== null){ %>
                            <p>
                                <%= error %>
                            </p>
                            <% } %>

                </div>
                <!-- Optional JavaScript -->
                <!-- jQuery first, then Popper.js, then Bootstrap JS -->
                <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
                <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
                <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</body>

</html>
